petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSGetBoundary

Add a boundary condition to the model

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetBoundary(PetscDS ds, PetscInt bd, DMBoundaryConditionType *type, const char **name, const char **labelname, PetscInt *field, PetscInt *numcomps, const PetscInt **comps, void (**func)(void), PetscInt *numids, const PetscInt **ids, void **ctx)

### Input Parameters

| ds | - The PetscDS object
| bd | - The BC number

### Output Parameters

| type | - The type of condition, e.g. DM_BC_ESSENTIAL/DM_BC_ESSENTIAL_FIELD (Dirichlet), or DM_BC_NATURAL (Neumann)
| name | - The BC name
| labelname | - The label defining constrained points
| field | - The field to constrain
| numcomps | - The number of constrained field components
| comps | - An array of constrained component numbers
| bcFunc | - A pointwise function giving boundary values
| numids | - The number of DMLabel ids for constrained points
| ids | - An array of ids for constrained points
| ctx | - An optional user context for bcFunc

### Options Database Keys

| -bc_<boundary name> <num> | - Overrides the boundary ids
| -bc_<boundary name>_comp <num> | - Overrides the boundary components

### See Also

PetscDSAddBoundary()

### Level

developer

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages